MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
OggFind.hxx File Reference
`#include "check.h"`
`#include "input/Offset.hxx"`
`#include <ogg/ogg.h>`
Include dependency graph for OggFind.hxx:

Go to the source code of this file.

## Functions
bool | OggFindEOS (OggSyncState &oy, ogg_stream_state &os, ogg_packet &packet)
| Skip all pages/packets until an end-of-stream (EOS) packet for the specified stream is found. More...
bool | OggSeekPageAtOffset (OggSyncState &oy, ogg_stream_state &os, InputStream &is, offset_type offset)
| Seek the InputStream and find the next Ogg page. More...
bool | OggSeekFindEOS (OggSyncState &oy, ogg_stream_state &os, ogg_packet &packet, InputStream &is)
| Try to find the end-of-stream (EOS) packet. More...

## Function Documentation

bool OggFindEOS | ( | OggSyncState & | oy,
|  | ogg_stream_state & | os,
|  | ogg_packet & | packet
| ) |  |

Skip all pages/packets until an end-of-stream (EOS) packet for the specified stream is found.

Returns
  true if the EOS packet was found

bool OggSeekFindEOS | ( | OggSyncState & | oy,
|  | ogg_stream_state & | os,
|  | ogg_packet & | packet,
|  | InputStream & | is
| ) |  |

Try to find the end-of-stream (EOS) packet.

Seek to the end of the file if necessary.

Returns
  true if the EOS packet was found

bool OggSeekPageAtOffset | ( | OggSyncState & | oy,
|  | ogg_stream_state & | os,
|  | InputStream & | is,
|  | offset_type | offset
| ) |  |

Seek the InputStream and find the next Ogg page.